/*
**	Apple Macintosh Developer Technical Support
**
**	Headers for routines demonstrating how to deal with house keeping
**	associated with playing sound.
**
**	by Mark Cookson, Apple Developer Technical Support
**
**	File:	Private_DBFFFunctions.h
**
**	Copyright 1996 Apple Computer, Inc.
**	All rights reserved.
**
**	You may incorporate this sample code into your applications without
**	restriction, though the sample code has been provided "AS IS" and the
**	responsibility for its operation is 100% yours.  However, what you are
**	not permitted to do is to redistribute the source as "Apple Sample
**	Code" after having made changes. If you're going to re-distribute the
**	source, we require that you make it clear in the source that the code
**	was descended from Apple Sample Code, but that you've made changes.
*/

#ifndef __PRIVATE_DBFFFUNC__
#define __PRIVATE_DBFFFUNC__

#include <FSM.h>

#ifndef __INTERRUPT_ROUTINES__
#include "Interrupt_Routines.h"
#endif

#ifndef __MyAIFF__
#include "AIFF.h"
#endif

#ifndef __SND__
#include "SND.h"
#endif

#ifndef __ULAW__
#include "ULAW.h"
#endif

#ifndef __WAVE__
#include "WAVE.h"
#endif

#ifndef __LDANDFIX__
#include "LDandFix.h"
#endif

#ifndef __DEFINES__
#include "Defines.h"
#endif

/* Function declarations for private functions */
OSErr			ASoundInit				(SoundInfoPtr theSoundInfo);
Boolean			IsValid					(SoundInfoPtr theSoundInfo);
Boolean			StrictIsValid			(SoundInfoPtr theSoundInfo);
Boolean			CheckValididity			(SoundInfoPtr theSoundInfo,
										Boolean strict);
pascal Boolean	ASoundFileFilter		(CInfoPBPtr theFileInfo);
OSErr			ASoundSetNumBuffers		(SoundInfoPtr theSoundInfo,
										long newValue);
OSErr			ASoundSetBufferSize		(SoundInfoPtr theSoundInfo,
										long newValue);
OSErr			ASoundSetSoundLength	(SoundInfoPtr theSoundInfo,
										long newValue);
OSErr			InstallCallBack			(SoundInfoPtr theSoundInfo);
OSErr			SetUpSoundHeader		(SoundInfoPtr theSoundInfo,
										unsigned long bufferSize);
OSErr			ASoundPrimeBuffers		(SoundInfoPtr theSoundInfo);
OSErr			PauseSound				(SoundInfoPtr theSoundInfo);
OSErr			ResumeSound				(SoundInfoPtr theSoundInfo);
Rect			GetMainScreenRect		(void);

#endif
