/*
**	Apple Macintosh Developer Technical Support
**
**	Header file for routines demonstrating how to parse 'snd ' resource files.
**
**	by Mark Cookson, Apple Developer Technical Support
**
**	File:	SND.h
**
**	Copyright 1996 Apple Computer, Inc.
**	All rights reserved.
**
**	You may incorporate this sample code into your applications without
**	restriction, though the sample code has been provided "AS IS" and the
**	responsibility for its operation is 100% yours.  However, what you are
**	not permitted to do is to redistribute the source as "Apple Sample
**	Code" after having made changes. If you're going to re-distribute the
**	source, we require that you make it clear in the source that the code
**	was descended from Apple Sample Code, but that you've made changes.
*/

#ifndef __SND__
#define __SND__

#include <Resources.h>
#include <Sound.h>
#include <SoundComponents.h>
#include <SoundInput.h>

#ifndef __SETUPDBHEADER__
#include "SetupDBHeader.h"
#endif

#ifndef __READRESOURCE__
#include "ReadResource.h"
#endif

#ifndef __DEFINES__
#include "Defines.h"
#endif

typedef union {
	SoundHeaderPtr			standardHeaderPtr;
	ExtSoundHeaderPtr		extendedHeaderPtr;
	CmpSoundHeaderPtr		compressedHeaderPtr;
}headerTemplate, *headerTemplatePtr;

		OSErr	ASoundGetSNDHeader		(SoundInfoPtr theSoundInfo,
										long *dataStart,
										long *length);

		OSErr	MyParseSndHeader		(SndListHandle theSoundHeader,
										SoundComponentData *sndInfo,
										unsigned long *numFrames,
										unsigned long *dataOffset);

#endif